
Core - Bug # 53459

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Resolved Priority: Should have
Author: Marcin Sągol Category: Extension Manager
Created: 2013-11-08 Assigned To: Thomas Maroschik
Updated: 2014-05-03 Due date:
TYPO3 Version: 6.2
PHP Version: 5.5
Complexity:
Is Regression: No
Sprint Focus:
Subject: Extension manager - removed extension stays in PackageStates.php as inactive
Description

I have installed and uninstalled extension (pt_extbase), than removed it from server. If i want now upload this extension on the server
again it is impossible as EM returns error message "Extension is already available and overwriting was not enabled." (see the
attached image).

I'm not sure how this all works now internally, but inside typo3conf/PackageStates.php i have existing entry:

'pt_extbase' => 
  array (
    'state' => 'inactive',
    'packagePath' => 'typo3conf/ext/pt_extbase/',
    'classesPath' => 'Classes/',
),

So, it looks like EM checks if package is listed but not if it exists on server?

If i check "Overwite" checkbox in upload form, the extension is uploaded without any problems and installed.

Related issues:
related to Core - Bug # 58493: Follow up: Disable remove button for installed... Resolved 2014-05-04

Associated revisions
Revision 6b900136 - 2014-05-03 19:13 - Wouter Wolters

[BUGFIX] Removed extension stays in PackageStates file

Deleting an extension in the Extension Manager doesn't delete
the entry in PackageStates file.

Use the package manager to delete the extension. This will take care of
linked extensions (just remove the link) too.
The package manager will take care to remove the entry from the
PackageStates file.

If an extension is not listed in the PackageStates file (e.g. because
we uploaded it via FTP and forgot to clear the system caches),
directly remove the folder.
Resolves: #53459
Releases: 6.2
Change-Id: I10d5ef33ccf6438fece512478408c57d5d7486de
Reviewed-on: https://review.typo3.org/26921
Reviewed-by: Jan Runte
Tested-by: Jan Runte
Reviewed-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 0a59f6c0 - 2014-05-04 14:19 - Nicole Cordes

[BUGFIX] Disable removal of installed extensions

This patch removes the deletion possibility for installed extension in
the list view of the extension manager. Furthermore the javascript can
be adopted as the check for installed extensions can be removed as well.

Resolves: #58493
Related: #53459
Releases: 6.2
Change-Id: I713bbb93230108db144044be9184e77f484931c9
Reviewed-on: https://review.typo3.org/29849
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Sascha Wilking
Tested-by: Sascha Wilking
Reviewed-by: Nadir S.
Tested-by: Nadir S.
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History
#1 - 2014-01-18 15:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26921

#2 - 2014-01-18 18:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26921

#3 - 2014-02-12 09:56 - Ernesto Baschny
- Parent task set to #47018

#4 - 2014-02-12 10:08 - Thomas Maroschik
- Assigned To set to Thomas Maroschik

#5 - 2014-05-03 15:50 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26921

#6 - 2014-05-03 19:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6b900136cf6ceaf32a14d53b6eea3eca00d020ef.
